import { jsx } from "react/jsx-runtime";
import { NotMemberOf as NotMemberOf$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NotMemberOf = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "NotMemberOf", ...props, children: /* @__PURE__ */ jsx(NotMemberOf$1, { weight: variant }) });
  }
);
NotMemberOf.displayName = "NotMemberOf";
Object.assign(NotMemberOf, { isGdsIcon: true });
export {
  NotMemberOf
};
